registerOutputEvent("Player", "setTransformAA", "string 30 90" TAB "string 30 90" TAB "float 0 6.28318 0.09817 0");

function Player::setTransformAA(%player,%pos,%axis,%theta)
{
	%pos = VectorScale(getWords(%pos,0,2),1);
	%axis = VectorNormalize(VectorScale(getWords(%axis,0,2),1));
	%player.setTransform(%pos SPC %axis SPC %theta);
}

registerOutputEvent("Player", "setTransformE", "string 30 90" TAB "string 30 90");

function Player::setTransformE(%player,%pos,%rot)
{
	%pos = VectorScale(getWords(%pos,0,2),1);
	%rot = getWords(MatrixCreatefromEuler(VectorScale(getWords(%rot,0,2),"-0.01745 -0.01745 -0.01745")),3,6);
	%player.setTransform(%pos SPC %rot);
}

registerOutputEvent("Bot", "setTransformAA", "string 30 90" TAB "string 30 90" TAB "float 0 6.28318 0.09817 0");

function Bot::setTransformAA(%bot,%pos,%axis,%theta)
{
	%pos = VectorScale(getWords(%pos,0,2),1);
	%axis = VectorNormalize(VectorScale(getWords(%axis,0,2),1));
	%bot.setTransform(%pos SPC %axis SPC %theta);
}

registerOutputEvent("Bot", "setTransformE", "string 30 90" TAB "string 30 90");

function Bot::setTransformE(%bot,%pos,%rot)
{
	%pos = VectorScale(getWords(%pos,0,2),1);
	%rot = getWords(MatrixCreatefromEuler(VectorScale(getWords(%rot,0,2),"-0.01745 -0.01745 -0.01745")),3,6);
	%bot.setTransform(%pos SPC %rot);
}

registerOutputEvent("Vehicle", "setTransformAA", "string 30 90" TAB "string 30 90" TAB "float 0 6.28318 0.09817 0");

function Vehicle::setTransformAA(%vehicle,%pos,%axis,%theta)
{
	%pos = VectorScale(getWords(%pos,0,2),1);
	%axis = VectorNormalize(VectorScale(getWords(%axis,0,2),1));
	%vehicle.setTransform(%pos SPC %axis SPC %theta);
}

registerOutputEvent("Vehicle", "setTransformE", "string 30 90" TAB "string 30 90");

function Vehicle::setTransformE(%vehicle,%pos,%rot)
{
	%pos = VectorScale(getWords(%pos,0,2),1);
	%rot = getWords(MatrixCreatefromEuler(VectorScale(getWords(%rot,0,2),"-0.01745 -0.01745 -0.01745")),3,6);
	%vehicle.setTransform(%pos SPC %rot);
}